diff --git a/config/rootfiles/packages/hplip b/config/rootfiles/packages/hplip
index 2fde7ac65..4aa5803b9 100644
--- a/config/rootfiles/packages/hplip
+++ b/config/rootfiles/packages/hplip
@@ -1,40 +1,40 @@
-#usr/share/doc/hplip-3.21.6
-#usr/share/doc/hplip-3.21.6/COPYING
-#usr/share/doc/hplip-3.21.6/README_LIBJPG
-#usr/share/doc/hplip-3.21.6/commandline.html
-#usr/share/doc/hplip-3.21.6/copying.html
-#usr/share/doc/hplip-3.21.6/copyright
-#usr/share/doc/hplip-3.21.6/devicemanager.html
-#usr/share/doc/hplip-3.21.6/faxtrouble.html
-#usr/share/doc/hplip-3.21.6/gettinghelp.html
-#usr/share/doc/hplip-3.21.6/hpscan.html
-#usr/share/doc/hplip-3.21.6/images
-#usr/share/doc/hplip-3.21.6/images/favicon.ico
-#usr/share/doc/hplip-3.21.6/images/print.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_actions.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_fax.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_print_control.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_print_settings.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_status.png
-#usr/share/doc/hplip-3.21.6/images/toolbox_supplies.png
-#usr/share/doc/hplip-3.21.6/images/xsane.png
-#usr/share/doc/hplip-3.21.6/index.html
-#usr/share/doc/hplip-3.21.6/mainttask.html
-#usr/share/doc/hplip-3.21.6/plugins.html
-#usr/share/doc/hplip-3.21.6/print.html
-#usr/share/doc/hplip-3.21.6/printing.html
-#usr/share/doc/hplip-3.21.6/printoptions.html
-#usr/share/doc/hplip-3.21.6/printtroubleshooting.html
-#usr/share/doc/hplip-3.21.6/scanning.html
-#usr/share/doc/hplip-3.21.6/scantrouble.html
-#usr/share/doc/hplip-3.21.6/sendfax.html
-#usr/share/doc/hplip-3.21.6/setup.html
-#usr/share/doc/hplip-3.21.6/styles
-#usr/share/doc/hplip-3.21.6/styles/css.css
-#usr/share/doc/hplip-3.21.6/systray.html
-#usr/share/doc/hplip-3.21.6/troubleshooting.html
-#usr/share/doc/hplip-3.21.6/uninstalling.html
-#usr/share/doc/hplip-3.21.6/upgrading.html
+#usr/share/doc/hplip-3.22.2
+#usr/share/doc/hplip-3.22.2/COPYING
+#usr/share/doc/hplip-3.22.2/README_LIBJPG
+#usr/share/doc/hplip-3.22.2/commandline.html
+#usr/share/doc/hplip-3.22.2/copying.html
+#usr/share/doc/hplip-3.22.2/copyright
+#usr/share/doc/hplip-3.22.2/devicemanager.html
+#usr/share/doc/hplip-3.22.2/faxtrouble.html
+#usr/share/doc/hplip-3.22.2/gettinghelp.html
+#usr/share/doc/hplip-3.22.2/hpscan.html
+#usr/share/doc/hplip-3.22.2/images
+#usr/share/doc/hplip-3.22.2/images/favicon.ico
+#usr/share/doc/hplip-3.22.2/images/print.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_actions.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_fax.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_print_control.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_print_settings.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_status.png
+#usr/share/doc/hplip-3.22.2/images/toolbox_supplies.png
+#usr/share/doc/hplip-3.22.2/images/xsane.png
+#usr/share/doc/hplip-3.22.2/index.html
+#usr/share/doc/hplip-3.22.2/mainttask.html
+#usr/share/doc/hplip-3.22.2/plugins.html
+#usr/share/doc/hplip-3.22.2/print.html
+#usr/share/doc/hplip-3.22.2/printing.html
+#usr/share/doc/hplip-3.22.2/printoptions.html
+#usr/share/doc/hplip-3.22.2/printtroubleshooting.html
+#usr/share/doc/hplip-3.22.2/scanning.html
+#usr/share/doc/hplip-3.22.2/scantrouble.html
+#usr/share/doc/hplip-3.22.2/sendfax.html
+#usr/share/doc/hplip-3.22.2/setup.html
+#usr/share/doc/hplip-3.22.2/styles
+#usr/share/doc/hplip-3.22.2/styles/css.css
+#usr/share/doc/hplip-3.22.2/systray.html
+#usr/share/doc/hplip-3.22.2/troubleshooting.html
+#usr/share/doc/hplip-3.22.2/uninstalling.html
+#usr/share/doc/hplip-3.22.2/upgrading.html
 #usr/share/hplip
 usr/share/hplip/dat2drv
 usr/share/hplip/locatedriver
@@ -309,6 +309,8 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-designjet_z6800_photo-postscript.ppd.gz
 #usr/share/ppd/HP/hp-designjet_z6810ps_42in-ps.ppd.gz
 #usr/share/ppd/HP/hp-designjet_z6810ps_60in-ps.ppd.gz
+#usr/share/ppd/HP/hp-designjet_z6_pro_64in_ps-ps.ppd.gz
+#usr/share/ppd/HP/hp-designjet_z9_pro_64in_ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_1000_j110_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_1010_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_1050_j410_series.ppd.gz
@@ -380,6 +382,7 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-deskjet_4640_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_4670_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_4720_series.ppd.gz
+#usr/share/ppd/HP/hp-deskjet_4800_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_500.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_5000_series.ppd.gz
 #usr/share/ppd/HP/hp-deskjet_500c.ppd.gz
@@ -524,6 +527,8 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-envy_6400_series.ppd.gz
 #usr/share/ppd/HP/hp-envy_7640_series.ppd.gz
 #usr/share/ppd/HP/hp-envy_8000_series.ppd.gz
+#usr/share/ppd/HP/hp-envy_inspire_7200_series.ppd.gz
+#usr/share/ppd/HP/hp-envy_inspire_7900_series.ppd.gz
 #usr/share/ppd/HP/hp-envy_photo_6200_series.ppd.gz
 #usr/share/ppd/HP/hp-envy_photo_7100_series.ppd.gz
 #usr/share/ppd/HP/hp-envy_photo_7800_series.ppd.gz
@@ -737,6 +742,7 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_flow_mfp_m830-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_m1005.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_m101-m106.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_m109-m112.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_m1120_mfp.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_m1120n_mfp.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_m1319f_mfp.ppd.gz
@@ -787,6 +793,7 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_mfp_e82540-50-60-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e87640-50-60-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m129-m134.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_m139-m142.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m232-m237.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m28-m31.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m426_m427-ps.ppd.gz
@@ -913,6 +920,12 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_professional_p1608dn.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_professional_p1609dn.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_professional_p_1102w.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_1020.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_150x.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_250x.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_mfp_1005.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_mfp_160x.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_tank_mfp_260x.ppd.gz
 #usr/share/ppd/HP/hp-lj_300_400_color_m351_m451-ps.ppd.gz
 #usr/share/ppd/HP/hp-lj_300_400_color_mfp_m375_m475-ps.ppd.gz
 #usr/share/ppd/HP/hp-mopier_240-pcl3.ppd.gz
@@ -1106,24 +1119,34 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-pagewide_pro_750-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_pro_mfp_772-777-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_3900ps_mfp-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_3920_ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4000ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4000ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4100ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4100ps_mfp-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_4200_ps_mfp_series-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_4200_ps_series-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4500ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4500ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4600ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_4600ps_mfp-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_4700_ps_mfp_series-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_4700_ps_series-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5000ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5000ps_blueprinter-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5000ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5100ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5100ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_5100ps_mfp_blueprinter-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_5200_ps_mfp_series-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_5200_ps_series-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_6000ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_6000ps_mfp-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_8000ps-ps.ppd.gz
 #usr/share/ppd/HP/hp-pagewide_xl_8000ps_blueprinter-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_8200_ps_series-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_pro_5200_ps_mfp_series-ps.ppd.gz
+#usr/share/ppd/HP/hp-pagewide_xl_pro_8200_ps_mfp_series-ps.ppd.gz
 #usr/share/ppd/HP/hp-photosmart_100.ppd.gz
 #usr/share/ppd/HP/hp-photosmart_1115.ppd.gz
 #usr/share/ppd/HP/hp-photosmart_1215.ppd.gz
@@ -1264,17 +1287,17 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-smart_tank_500_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_510_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_530_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_6000_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_610_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_660-670_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_7000_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_710-720_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_7300_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_750_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_7600_series.ppd.gz
+#usr/share/ppd/HP/hp-smart_tank_790_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_plus_550_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_plus_570_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_plus_650_series.ppd.gz
 #usr/share/ppd/HP/hp-smart_tank_wireless_450_series.ppd.gz
 #usr/share/ppd/HP/hp-tango.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_3920ps_mfp-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_4200ps-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_4200ps_mfp-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_4700ps-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_4700ps_mfp-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_5200ps-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_5200ps_mfp-ps.ppd.gz
-#usr/share/ppd/HP/hp_pagewide_xl_8200ps-ps.ppd.gz
diff --git a/lfs/hplip b/lfs/hplip
index 63d9cf383..8a9bfcffe 100644
--- a/lfs/hplip
+++ b/lfs/hplip
@@ -24,9 +24,7 @@
 
 include Config
 
-SUMMARY    = HP's Printing, Scanning, and Faxing Software
-
-VER        = 3.21.6
+VER        = 3.22.2
 
 THISAPP    = hplip-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -34,12 +32,10 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = hplip
-PAK_VER    = 6
+PAK_VER    = 7
 
 DEPS       =
 
-SERVICES   =
-
 ###############################################################################
 # Top-level Rules
 ###############################################################################
@@ -48,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 090f47d47c0d487ccfd2abdd5102ce1e
+$(DL_FILE)_MD5 = 4e5a89813334778d9e16835f773b2e80
 
 install : $(TARGET)
 
@@ -58,7 +54,7 @@ download :$(patsubst %,$(DIR_DL)/%,$(objects))
 
 md5 : $(subst %,%_MD5,$(objects))
 
-dist:
+dist: 
 	$(PAK)
 
 ###############################################################################