diff --git a/config/rootfiles/common/linux-firmware b/config/rootfiles/common/linux-firmware
index 0decb5646..37d8bc3c8 100644
--- a/config/rootfiles/common/linux-firmware
+++ b/config/rootfiles/common/linux-firmware
@@ -1475,51 +1475,51 @@ lib/firmware/mediatek/mt8173/vpu_p.bin.xz
 #lib/firmware/mediatek/mt8183
 lib/firmware/mediatek/mt8183/scp.img.xz
 #lib/firmware/mellanox
-lib/firmware/mellanox/mlxsw_spectrum-13.1420.122.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.1530.152.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.1620.192.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.1702.6.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.1703.4.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.1910.622.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2000.1122.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2000.1886.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2000.2308.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2000.2714.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2007.1168.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.1036.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.1310.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.1312.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.2018.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.2304.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.2406.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.2438.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.2946.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2008.3326.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum-13.2010.1006.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2000.2308.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2000.2714.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2007.1168.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1036.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1310.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1312.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2018.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2304.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2406.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2438.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2946.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2008.3326.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum2-29.2010.1006.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2007.1168.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1036.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1310.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1312.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2018.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2304.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2406.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2438.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2946.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2008.3326.mfa2.xz
-lib/firmware/mellanox/mlxsw_spectrum3-30.2010.1006.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1420.122.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1530.152.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1620.192.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1702.6.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1703.4.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.1910.622.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2000.1122.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2000.1886.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2000.2308.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2000.2714.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2007.1168.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.1036.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.1310.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.1312.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.2018.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.2304.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.2406.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.2438.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.2946.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2008.3326.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum-13.2010.1006.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2000.2308.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2000.2714.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2007.1168.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1036.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1310.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.1312.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2018.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2304.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2406.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2438.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.2946.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2008.3326.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum2-29.2010.1006.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2007.1168.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1036.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1310.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.1312.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2018.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2304.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2406.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2438.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.2946.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2008.3326.mfa2.xz
+#lib/firmware/mellanox/mlxsw_spectrum3-30.2010.1006.mfa2.xz
 #lib/firmware/meson
 #lib/firmware/meson/vdec
 lib/firmware/meson/vdec/g12a_h264.bin.xz