diff --git a/config/rootfiles/packages/python3-pkgconfig b/config/rootfiles/packages/python3-pkgconfig
new file mode 100644
index 000000000..54c0155a4
--- /dev/null
+++ b/config/rootfiles/packages/python3-pkgconfig
@@ -0,0 +1,8 @@
+usr/lib/python3.10/site-packages/pkgconfig
+#usr/lib/python3.10/site-packages/pkgconfig-1.5.5-py3.10.egg-info
+#usr/lib/python3.10/site-packages/pkgconfig-1.5.5-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/pkgconfig-1.5.5-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/pkgconfig-1.5.5-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/pkgconfig-1.5.5-py3.10.egg-info/top_level.txt
+usr/lib/python3.10/site-packages/pkgconfig/__init__.py
+usr/lib/python3.10/site-packages/pkgconfig/pkgconfig.py
diff --git a/lfs/python3-pkgconfig b/lfs/python3-pkgconfig
new file mode 100644
index 000000000..a91aca39b
--- /dev/null
+++ b/lfs/python3-pkgconfig
@@ -0,0 +1,86 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.5.5
+SUMMARY    = Python module to interface Python with pkg-config
+
+THISAPP    = pkgconfig-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-pkgconfig
+PAK_VER    = 1
+
+DEPS       =
+
+SERVICES   =
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 0eb3ff11b1fdcd3b1b4d3310d408d5f9a036a48c0f3176d77a13e566df35beea8ee6b3afe4c7643cc1808584e525f4d0fac9ab706b751c933f853ed1e9aecd0e
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 95e6e89db..9f6d032e2 100755
--- a/make.sh
+++ b/make.sh
@@ -1641,6 +1641,7 @@ buildipfire() {
   lfsmake2 python3-click
   lfsmake2 python3-arrow
   lfsmake2 python3-terminaltables
+  lfsmake2 python3-pkgconfig
   lfsmake2 aws-cli
   lfsmake2 oci-python-sdk
   lfsmake2 oci-cli