diff --git a/config/rootfiles/packages/x86_64/samba b/config/rootfiles/packages/x86_64/samba
index fdbc3c283..8e355e873 100644
--- a/config/rootfiles/packages/x86_64/samba
+++ b/config/rootfiles/packages/x86_64/samba
@@ -159,9 +159,7 @@ usr/lib/libndr.so.2.0.0
 usr/lib/libnetapi.so
 usr/lib/libnetapi.so.1
 usr/lib/libnetapi.so.1.0.0
-usr/lib/libnss_winbind.so
 usr/lib/libnss_winbind.so.2
-usr/lib/libnss_wins.so
 usr/lib/libnss_wins.so.2
 usr/lib/libsamba-credentials.so
 usr/lib/libsamba-credentials.so.1
@@ -283,7 +281,11 @@ usr/lib/python3.10/site-packages/samba/emulate/traffic_packets.py
 usr/lib/python3.10/site-packages/samba/forest_update.py
 usr/lib/python3.10/site-packages/samba/gensec.cpython-310-x86_64-linux-gnu.so
 usr/lib/python3.10/site-packages/samba/getopt.py
+usr/lib/python3.10/site-packages/samba/gp_cert_auto_enroll_ext.py
+usr/lib/python3.10/site-packages/samba/gp_chromium_ext.py
 usr/lib/python3.10/site-packages/samba/gp_ext_loader.py
+usr/lib/python3.10/site-packages/samba/gp_firefox_ext.py
+usr/lib/python3.10/site-packages/samba/gp_firewalld_ext.py
 usr/lib/python3.10/site-packages/samba/gp_gnome_settings_ext.py
 usr/lib/python3.10/site-packages/samba/gp_msgs_ext.py
 #usr/lib/python3.10/site-packages/samba/gp_parse
@@ -494,6 +496,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/kdc_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/kdc_tgs_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/ms_kile_client_principal_lookup_tests.py
+#usr/lib/python3.10/site-packages/samba/tests/krb5/pac_align_tests.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/raw_testcase.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/rfc4120_constants.py
 #usr/lib/python3.10/site-packages/samba/tests/krb5/rfc4120_pyasn1.py
@@ -573,6 +576,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/help.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/join.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/join_lmdb_size.py
+#usr/lib/python3.10/site-packages/samba/tests/samba_tool/join_member.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/ntacl.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/ou.py
 #usr/lib/python3.10/site-packages/samba/tests/samba_tool/passwordsettings.py
@@ -605,6 +609,7 @@ usr/lib/python3.10/site-packages/samba/tdb_util.py
 #usr/lib/python3.10/site-packages/samba/tests/smbd_base.py
 #usr/lib/python3.10/site-packages/samba/tests/smbd_fuzztest.py
 #usr/lib/python3.10/site-packages/samba/tests/source.py
+#usr/lib/python3.10/site-packages/samba/tests/source_chars.py
 #usr/lib/python3.10/site-packages/samba/tests/strings.py
 #usr/lib/python3.10/site-packages/samba/tests/subunitrun.py
 #usr/lib/python3.10/site-packages/samba/tests/tdb_util.py
@@ -659,10 +664,12 @@ usr/lib/samba/libCHARSET3-samba4.so
 usr/lib/samba/libLIBWBCLIENT-OLD-samba4.so
 usr/lib/samba/libMESSAGING-SEND-samba4.so
 usr/lib/samba/libMESSAGING-samba4.so
+usr/lib/samba/libREG-FULL-samba4.so
+usr/lib/samba/libRPC-SERVER-LOOP-samba4.so
+usr/lib/samba/libRPC-WORKER-samba4.so
 usr/lib/samba/libaddns-samba4.so
 usr/lib/samba/libads-samba4.so
-usr/lib/samba/libasn1-samba4.so.8
-usr/lib/samba/libasn1-samba4.so.8.0.0
+usr/lib/samba/libasn1-samba4.so
 usr/lib/samba/libasn1util-samba4.so
 usr/lib/samba/libauth-samba4.so
 usr/lib/samba/libauth-unix-token-samba4.so
@@ -680,8 +687,7 @@ usr/lib/samba/libcluster-samba4.so
 usr/lib/samba/libcmdline-contexts-samba4.so
 usr/lib/samba/libcmdline-samba4.so
 usr/lib/samba/libcmocka-samba4.so
-usr/lib/samba/libcom_err-samba4.so.0
-usr/lib/samba/libcom_err-samba4.so.0.25
+usr/lib/samba/libcom-err-samba4.so
 usr/lib/samba/libcommon-auth-samba4.so
 usr/lib/samba/libdbwrap-samba4.so
 usr/lib/samba/libdcerpc-pkt-auth-samba4.so
@@ -696,33 +702,25 @@ usr/lib/samba/libgensec-samba4.so
 usr/lib/samba/libgpext-samba4.so
 usr/lib/samba/libgpo-samba4.so
 usr/lib/samba/libgse-samba4.so
-usr/lib/samba/libgssapi-samba4.so.2
-usr/lib/samba/libgssapi-samba4.so.2.0.0
-usr/lib/samba/libhcrypto-samba4.so.5
-usr/lib/samba/libhcrypto-samba4.so.5.0.1
-usr/lib/samba/libhdb-samba4.so.11
-usr/lib/samba/libhdb-samba4.so.11.0.2
-usr/lib/samba/libheimbase-samba4.so.1
-usr/lib/samba/libheimbase-samba4.so.1.0.0
-usr/lib/samba/libheimntlm-samba4.so.1
-usr/lib/samba/libheimntlm-samba4.so.1.0.1
+usr/lib/samba/libgss-preauth-samba4.so
+usr/lib/samba/libgssapi-samba4.so
+usr/lib/samba/libhcrypto-samba4.so
+usr/lib/samba/libhdb-samba4.so
+usr/lib/samba/libheimbase-samba4.so
+usr/lib/samba/libheimntlm-samba4.so
 usr/lib/samba/libhttp-samba4.so
-usr/lib/samba/libhx509-samba4.so.5
-usr/lib/samba/libhx509-samba4.so.5.0.0
+usr/lib/samba/libhx509-samba4.so
 usr/lib/samba/libidmap-samba4.so
 usr/lib/samba/libinterfaces-samba4.so
 usr/lib/samba/libiov-buf-samba4.so
-usr/lib/samba/libkdc-samba4.so.2
-usr/lib/samba/libkdc-samba4.so.2.0.0
-usr/lib/samba/libkrb5-samba4.so.26
-usr/lib/samba/libkrb5-samba4.so.26.0.0
+usr/lib/samba/libkdc-samba4.so
+usr/lib/samba/libkrb5-samba4.so
 usr/lib/samba/libkrb5samba-samba4.so
 usr/lib/samba/libldb-cmdline-samba4.so
 usr/lib/samba/libldb-key-value-samba4.so
+usr/lib/samba/libldb-samba4.so
 usr/lib/samba/libldb-tdb-err-map-samba4.so
 usr/lib/samba/libldb-tdb-int-samba4.so
-usr/lib/samba/libldb.so.2
-usr/lib/samba/libldb.so.2.4.1
 usr/lib/samba/libldbsamba-samba4.so
 usr/lib/samba/liblibcli-lsa3-samba4.so
 usr/lib/samba/liblibcli-netlogon3-samba4.so
@@ -741,14 +739,11 @@ usr/lib/samba/libnss-info-samba4.so
 usr/lib/samba/libposix-eadb-samba4.so
 usr/lib/samba/libprinter-driver-samba4.so
 usr/lib/samba/libprinting-migrate-samba4.so
-usr/lib/samba/libpyldb-util.cpython-310-x86-64-linux-gnu.so.2
-usr/lib/samba/libpyldb-util.cpython-310-x86-64-linux-gnu.so.2.4.1
-usr/lib/samba/libpytalloc-util.cpython-310-x86-64-linux-gnu.so.2
-usr/lib/samba/libpytalloc-util.cpython-310-x86-64-linux-gnu.so.2.3.3
+usr/lib/samba/libpyldb-util.cpython-310-x86-64-linux-gnu-samba4.so
+usr/lib/samba/libpytalloc-util.cpython-310-x86-64-linux-gnu-samba4.so
 usr/lib/samba/libregistry-samba4.so
 usr/lib/samba/libreplace-samba4.so
-usr/lib/samba/libroken-samba4.so.19
-usr/lib/samba/libroken-samba4.so.19.0.1
+usr/lib/samba/libroken-samba4.so
 usr/lib/samba/libsamba-cluster-support-samba4.so
 usr/lib/samba/libsamba-debug-samba4.so
 usr/lib/samba/libsamba-modules-samba4.so
@@ -772,22 +767,17 @@ usr/lib/samba/libsocket-blocking-samba4.so
 usr/lib/samba/libsys-rw-samba4.so
 usr/lib/samba/libtalloc-report-printf-samba4.so
 usr/lib/samba/libtalloc-report-samba4.so
-usr/lib/samba/libtalloc.so.2
-usr/lib/samba/libtalloc.so.2.3.3
+usr/lib/samba/libtalloc-samba4.so
+usr/lib/samba/libtdb-samba4.so
 usr/lib/samba/libtdb-wrap-samba4.so
-usr/lib/samba/libtdb.so.1
-usr/lib/samba/libtdb.so.1.4.4
-usr/lib/samba/libtevent.so.0
-usr/lib/samba/libtevent.so.0.11.0
+usr/lib/samba/libtevent-samba4.so
 usr/lib/samba/libtime-basic-samba4.so
 usr/lib/samba/libtorture-samba4.so
 usr/lib/samba/libtrusts-util-samba4.so
 usr/lib/samba/libutil-reg-samba4.so
 usr/lib/samba/libutil-setid-samba4.so
 usr/lib/samba/libutil-tdb-samba4.so
-usr/lib/samba/libwinbind-client-samba4.so
-usr/lib/samba/libwind-samba4.so.0
-usr/lib/samba/libwind-samba4.so.0.0.0
+usr/lib/samba/libwind-samba4.so
 usr/lib/samba/libxattr-tdb-samba4.so
 usr/lib/samba/nss_info
 usr/lib/samba/nss_info/hash.so
@@ -838,7 +828,16 @@ usr/lib/samba/vfs/xattr_tdb.so
 usr/lib/security
 usr/lib/security/pam_winbind.so
 #usr/libexec/samba
+usr/libexec/samba/rpcd_classic
+usr/libexec/samba/rpcd_epmapper
+usr/libexec/samba/rpcd_fsrvp
+usr/libexec/samba/rpcd_lsad
+usr/libexec/samba/rpcd_mdssvc
+usr/libexec/samba/rpcd_rpcecho
+usr/libexec/samba/rpcd_spoolss
+usr/libexec/samba/rpcd_winreg
 usr/libexec/samba/samba-bgqd
+usr/libexec/samba/samba-dcerpcd
 usr/libexec/samba/smbspool_krb5_wrapper
 usr/sbin/eventlogadm
 usr/sbin/nmbd
diff --git a/lfs/samba b/lfs/samba
index 84800c4dd..97fe96918 100644
--- a/lfs/samba
+++ b/lfs/samba
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 4.15.5
+VER        = 4.16.0
 SUMMARY    = A SMB/CIFS File, Print, and Authentication Server
 
 THISAPP    = samba-$(VER)
@@ -33,9 +33,9 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = samba
-PAK_VER    = 83
+PAK_VER    = 84
 
-DEPS       = avahi cups libtirpc krb5 perl-Parse-Yapp
+DEPS       = avahi cups libtirpc krb5 perl-Parse-Yapp perl-JSON
 
 SERVICES   = samba
 
@@ -47,7 +47,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 355970b9918e95f925636cdea919e123b072f8710134fe6310637c29b2b5e1bc55d7b66d9674a68408ce5f14545a2cb9a94f596f90204935addb2f8f6a503873
+$(DL_FILE)_BLAKE2 = 6ea27634690d00779ec7f671e48b17246285c9576221d9b9b3f9238cd72310e8aaaeb646031212e65c239d2e959deef7bd9739932db0c716b7ea79cc11f2f7b8
 
 install : $(TARGET)
 