diff --git a/config/rootfiles/common/meson b/config/rootfiles/common/meson
index 69d645bb7..0dc77629b 100644
--- a/config/rootfiles/common/meson
+++ b/config/rootfiles/common/meson
@@ -1,11 +1,11 @@
 #usr/bin/meson
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/PKG-INFO
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/SOURCES.txt
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/dependency_links.txt
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/entry_points.txt
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/requires.txt
-#usr/lib/python3.10/site-packages/meson-0.60.1-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/entry_points.txt
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/meson-0.62.1-py3.10.egg-info/top_level.txt
 #usr/lib/python3.10/site-packages/mesonbuild
 #usr/lib/python3.10/site-packages/mesonbuild/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/_pathlib.py
@@ -28,18 +28,22 @@
 #usr/lib/python3.10/site-packages/mesonbuild/backend/vs2015backend.py
 #usr/lib/python3.10/site-packages/mesonbuild/backend/vs2017backend.py
 #usr/lib/python3.10/site-packages/mesonbuild/backend/vs2019backend.py
+#usr/lib/python3.10/site-packages/mesonbuild/backend/vs2022backend.py
 #usr/lib/python3.10/site-packages/mesonbuild/backend/xcodebackend.py
 #usr/lib/python3.10/site-packages/mesonbuild/build.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/__init__.py
-#usr/lib/python3.10/site-packages/mesonbuild/cmake/client.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/common.py
+#usr/lib/python3.10/site-packages/mesonbuild/cmake/data
+#usr/lib/python3.10/site-packages/mesonbuild/cmake/data/__init__.py
+#usr/lib/python3.10/site-packages/mesonbuild/cmake/data/preload.cmake
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/executor.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/fileapi.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/generator.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/interpreter.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/toolchain.py
 #usr/lib/python3.10/site-packages/mesonbuild/cmake/traceparser.py
+#usr/lib/python3.10/site-packages/mesonbuild/cmake/tracetargets.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/c.py
@@ -56,7 +60,6 @@
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/arm.py
-#usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/c2000.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/ccrx.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/clang.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/clike.py
@@ -67,6 +70,7 @@
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/intel.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/islinker.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/pgi.py
+#usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/ti.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/visualstudio.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/mixins/xc16.py
 #usr/lib/python3.10/site-packages/mesonbuild/compilers/objc.py
@@ -83,6 +87,11 @@
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/coarrays.py
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/configtool.py
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/cuda.py
+#usr/lib/python3.10/site-packages/mesonbuild/dependencies/data
+#usr/lib/python3.10/site-packages/mesonbuild/dependencies/data/CMakeLists.txt
+#usr/lib/python3.10/site-packages/mesonbuild/dependencies/data/CMakeListsLLVM.txt
+#usr/lib/python3.10/site-packages/mesonbuild/dependencies/data/CMakePathInfo.txt
+#usr/lib/python3.10/site-packages/mesonbuild/dependencies/data/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/detect.py
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/dev.py
 #usr/lib/python3.10/site-packages/mesonbuild/dependencies/dub.py
@@ -165,13 +174,13 @@
 #usr/lib/python3.10/site-packages/mesonbuild/modules/qt4.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/qt5.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/qt6.py
-#usr/lib/python3.10/site-packages/mesonbuild/modules/rpm.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/sourceset.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_cuda.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_external_project.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_icestorm.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_rust.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_simd.py
+#usr/lib/python3.10/site-packages/mesonbuild/modules/unstable_wayland.py
 #usr/lib/python3.10/site-packages/mesonbuild/modules/windows.py
 #usr/lib/python3.10/site-packages/mesonbuild/mparser.py
 #usr/lib/python3.10/site-packages/mesonbuild/msetup.py
@@ -188,24 +197,27 @@
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/cleantrees.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/cmake_run_ctgt.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/cmd_or_ps.ps1
+#usr/lib/python3.10/site-packages/mesonbuild/scripts/copy.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/coverage.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/delwithsuffix.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/depfixer.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/depscan.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/dirchanger.py
+#usr/lib/python3.10/site-packages/mesonbuild/scripts/env2mfile.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/externalproject.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/gettext.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/gtkdochelper.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/hotdochelper.py
+#usr/lib/python3.10/site-packages/mesonbuild/scripts/itstool.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/meson_exe.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/msgfmthelper.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/regen_checker.py
+#usr/lib/python3.10/site-packages/mesonbuild/scripts/run_tool.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/scanbuild.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/symbolextractor.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/tags.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/uninstall.py
 #usr/lib/python3.10/site-packages/mesonbuild/scripts/vcstagger.py
-#usr/lib/python3.10/site-packages/mesonbuild/scripts/yelphelper.py
 #usr/lib/python3.10/site-packages/mesonbuild/templates
 #usr/lib/python3.10/site-packages/mesonbuild/templates/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/templates/cpptemplates.py
@@ -221,6 +233,7 @@
 #usr/lib/python3.10/site-packages/mesonbuild/templates/rusttemplates.py
 #usr/lib/python3.10/site-packages/mesonbuild/templates/samplefactory.py
 #usr/lib/python3.10/site-packages/mesonbuild/templates/sampleimpl.py
+#usr/lib/python3.10/site-packages/mesonbuild/templates/valatemplates.py
 #usr/lib/python3.10/site-packages/mesonbuild/wrap
 #usr/lib/python3.10/site-packages/mesonbuild/wrap/__init__.py
 #usr/lib/python3.10/site-packages/mesonbuild/wrap/wrap.py
diff --git a/lfs/meson b/lfs/meson
index 167373987..bc6cfbb2d 100644
--- a/lfs/meson
+++ b/lfs/meson
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 0.60.1
+VER        = 0.62.1
 
 THISAPP    = meson-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = ba9fce07f4b1c54cd65b8cf4e6c57c95f2729f42a9ff1bae3907802dcdedd933c2031b1d9546b608cbb87c1364170d32501cbd6e856cc95a713930efcadc8ae9
+$(DL_FILE)_BLAKE2 = 6370b6bf07e6e875f6a0cabbf6284f97c89a4653b62c4765f365fbf083e607853094aa37d5dc97042f086ca1db569b2f8dabd14b37f674615d3b9d267d3d0d0f
 
 install : $(TARGET)
 