diff --git a/config/rootfiles/common/fmt b/config/rootfiles/common/fmt
new file mode 100644
index 000000000..d9067f14a
--- /dev/null
+++ b/config/rootfiles/common/fmt
@@ -0,0 +1,23 @@
+#usr/include/fmt
+#usr/include/fmt/args.h
+#usr/include/fmt/chrono.h
+#usr/include/fmt/color.h
+#usr/include/fmt/compile.h
+#usr/include/fmt/core.h
+#usr/include/fmt/format-inl.h
+#usr/include/fmt/format.h
+#usr/include/fmt/locale.h
+#usr/include/fmt/os.h
+#usr/include/fmt/ostream.h
+#usr/include/fmt/printf.h
+#usr/include/fmt/ranges.h
+#usr/include/fmt/xchar.h
+#usr/lib/cmake/fmt
+#usr/lib/cmake/fmt/fmt-config-version.cmake
+#usr/lib/cmake/fmt/fmt-config.cmake
+#usr/lib/cmake/fmt/fmt-targets-release.cmake
+#usr/lib/cmake/fmt/fmt-targets.cmake
+#usr/lib/libfmt.so
+#usr/lib/libfmt.so.8
+#usr/lib/libfmt.so.8.1.1
+#usr/lib/pkgconfig/fmt.pc
diff --git a/lfs/fmt b/lfs/fmt
new file mode 100644
index 000000000..754de03b1
--- /dev/null
+++ b/lfs/fmt
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2022  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 8.1.1
+
+THISAPP    = fmt-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 8f3eafd72c0eff62cfcf26a8a37e4d89c8f4a2cec6e427e3ea8d0de3010dd6e5e45ce4486335d3b433308a967915b38ca4d422d789ceda4196153329128056b9
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && mkdir -pv build
+	cd $(DIR_APP)/build && cmake .. \
+	                    -DCMAKE_INSTALL_PREFIX=/usr \
+	                    -DBUILD_SHARED_LIBS=TRUE
+	cd $(DIR_APP)/build && make $(MAKETUNING)
+	cd $(DIR_APP)/build && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 5f9f16d05..a3df48d72 100755
--- a/make.sh
+++ b/make.sh
@@ -1548,6 +1548,7 @@ buildipfire() {
   lfsmake2 vdr_dvbapi
   lfsmake2 vdr_eepg
   lfsmake2 w_scan
+  lfsmake2 fmt
   lfsmake2 mpd
   lfsmake2 libmpdclient
   lfsmake2 mpc