diff --git a/config/rootfiles/common/libpipeline b/config/rootfiles/common/libpipeline
new file mode 100644
index 000000000..703d33e65
--- /dev/null
+++ b/config/rootfiles/common/libpipeline
@@ -0,0 +1,74 @@
+#usr/include/pipeline.h
+#usr/lib/libpipeline.la
+#usr/lib/libpipeline.so
+#usr/lib/libpipeline.so.1
+#usr/lib/libpipeline.so.1.5.6
+#usr/lib/pkgconfig/libpipeline.pc
+#usr/share/man/man3/libpipeline.3
+#usr/share/man/man3/pipecmd_arg.3
+#usr/share/man/man3/pipecmd_argf.3
+#usr/share/man/man3/pipecmd_args.3
+#usr/share/man/man3/pipecmd_argstr.3
+#usr/share/man/man3/pipecmd_argv.3
+#usr/share/man/man3/pipecmd_chdir.3
+#usr/share/man/man3/pipecmd_clearenv.3
+#usr/share/man/man3/pipecmd_discard_err.3
+#usr/share/man/man3/pipecmd_dump.3
+#usr/share/man/man3/pipecmd_dup.3
+#usr/share/man/man3/pipecmd_exec.3
+#usr/share/man/man3/pipecmd_fchdir.3
+#usr/share/man/man3/pipecmd_free.3
+#usr/share/man/man3/pipecmd_get_nargs.3
+#usr/share/man/man3/pipecmd_new.3
+#usr/share/man/man3/pipecmd_new_args.3
+#usr/share/man/man3/pipecmd_new_argstr.3
+#usr/share/man/man3/pipecmd_new_argv.3
+#usr/share/man/man3/pipecmd_new_function.3
+#usr/share/man/man3/pipecmd_new_passthrough.3
+#usr/share/man/man3/pipecmd_new_sequence.3
+#usr/share/man/man3/pipecmd_new_sequencev.3
+#usr/share/man/man3/pipecmd_nice.3
+#usr/share/man/man3/pipecmd_pre_exec.3
+#usr/share/man/man3/pipecmd_sequence_command.3
+#usr/share/man/man3/pipecmd_setenv.3
+#usr/share/man/man3/pipecmd_tostring.3
+#usr/share/man/man3/pipecmd_unsetenv.3
+#usr/share/man/man3/pipeline_command.3
+#usr/share/man/man3/pipeline_command_args.3
+#usr/share/man/man3/pipeline_command_argstr.3
+#usr/share/man/man3/pipeline_command_argv.3
+#usr/share/man/man3/pipeline_commands.3
+#usr/share/man/man3/pipeline_commandv.3
+#usr/share/man/man3/pipeline_connect.3
+#usr/share/man/man3/pipeline_dump.3
+#usr/share/man/man3/pipeline_free.3
+#usr/share/man/man3/pipeline_get_command.3
+#usr/share/man/man3/pipeline_get_infile.3
+#usr/share/man/man3/pipeline_get_ncommands.3
+#usr/share/man/man3/pipeline_get_outfile.3
+#usr/share/man/man3/pipeline_get_pid.3
+#usr/share/man/man3/pipeline_ignore_signals.3
+#usr/share/man/man3/pipeline_install_post_fork.3
+#usr/share/man/man3/pipeline_join.3
+#usr/share/man/man3/pipeline_new.3
+#usr/share/man/man3/pipeline_new_command_args.3
+#usr/share/man/man3/pipeline_new_command_argv.3
+#usr/share/man/man3/pipeline_new_commands.3
+#usr/share/man/man3/pipeline_new_commandv.3
+#usr/share/man/man3/pipeline_peek.3
+#usr/share/man/man3/pipeline_peek_size.3
+#usr/share/man/man3/pipeline_peek_skip.3
+#usr/share/man/man3/pipeline_peekline.3
+#usr/share/man/man3/pipeline_pump.3
+#usr/share/man/man3/pipeline_read.3
+#usr/share/man/man3/pipeline_readline.3
+#usr/share/man/man3/pipeline_run.3
+#usr/share/man/man3/pipeline_set_command.3
+#usr/share/man/man3/pipeline_start.3
+#usr/share/man/man3/pipeline_tostring.3
+#usr/share/man/man3/pipeline_wait.3
+#usr/share/man/man3/pipeline_wait_all.3
+#usr/share/man/man3/pipeline_want_in.3
+#usr/share/man/man3/pipeline_want_infile.3
+#usr/share/man/man3/pipeline_want_out.3
+#usr/share/man/man3/pipeline_want_outfile.3
diff --git a/lfs/libpipeline b/lfs/libpipeline
new file mode 100644
index 000000000..66b72d07d
--- /dev/null
+++ b/lfs/libpipeline
@@ -0,0 +1,80 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.5.6
+
+THISAPP    = libpipeline-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 813009e37ddb9a63da57e11ce71040646449b10140f5dd42cca02d280a3adb2173207af857ebca24777fdc8d30e426c41ad51f356f285decfe007b5829d9730f
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+	$(UPDATE_AUTOMAKE)
+
+	cd $(DIR_APP) && ./configure \
+	                --prefix=/usr
+	cd $(DIR_APP) && make
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 5f9f16d05..f794dec0e 100755
--- a/make.sh
+++ b/make.sh
@@ -1127,6 +1127,7 @@ buildbase() {
 	lfsmake2 pkg-config
 	lfsmake2 procps
 	lfsmake2 make
+	lfsmake2 libpipeline
 	lfsmake2 man
 	lfsmake2 net-tools
 	lfsmake2 patch