diff --git a/config/rootfiles/packages/python3-cryptography b/config/rootfiles/packages/python3-cryptography
index 9f63606fb..a9ee32faf 100644
--- a/config/rootfiles/packages/python3-cryptography
+++ b/config/rootfiles/packages/python3-cryptography
@@ -1,20 +1,18 @@
 usr/lib/python3.10/site-packages/cryptography
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/PKG-INFO
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/SOURCES.txt
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/dependency_links.txt
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/not-zip-safe
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/requires.txt
-#usr/lib/python3.10/site-packages/cryptography-3.4.7-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/not-zip-safe
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/cryptography-36.0.2-py3.10.egg-info/top_level.txt
 usr/lib/python3.10/site-packages/cryptography/__about__.py
 usr/lib/python3.10/site-packages/cryptography/__init__.py
 usr/lib/python3.10/site-packages/cryptography/exceptions.py
 usr/lib/python3.10/site-packages/cryptography/fernet.py
 usr/lib/python3.10/site-packages/cryptography/hazmat
 usr/lib/python3.10/site-packages/cryptography/hazmat/__init__.py
-usr/lib/python3.10/site-packages/cryptography/hazmat/_der.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/_oid.py
-usr/lib/python3.10/site-packages/cryptography/hazmat/_types.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/__init__.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/interfaces.py
@@ -33,7 +31,6 @@ usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/ed448.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/encode_asn1.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/hashes.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/hmac.py
-usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/ocsp.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/poly1305.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/rsa.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/utils.py
@@ -43,8 +40,12 @@ usr/lib/python3.10/site-packages/cryptography/hazmat/backends/openssl/x509.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/__init__.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_openssl.abi3.so
-usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_padding.abi3.so
+usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust.abi3.so
+usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust/__init__.pyi
+usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust/asn1.pyi
+usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust/ocsp.pyi
+usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust/x509.pyi
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/openssl
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/openssl/__init__.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/bindings/openssl/_conditional.py
@@ -63,6 +64,7 @@ usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/ed255
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/ed448.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/padding.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/rsa.py
+usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/types.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/utils.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/x25519.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/asymmetric/x448.py
@@ -97,7 +99,6 @@ usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/twofactor
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/twofactor/__init__.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/twofactor/hotp.py
 usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/twofactor/totp.py
-usr/lib/python3.10/site-packages/cryptography/hazmat/primitives/twofactor/utils.py
 usr/lib/python3.10/site-packages/cryptography/py.typed
 usr/lib/python3.10/site-packages/cryptography/utils.py
 usr/lib/python3.10/site-packages/cryptography/x509
diff --git a/lfs/python3-cryptography b/lfs/python3-cryptography
index f3090bc6a..77e5f06b0 100644
--- a/lfs/python3-cryptography
+++ b/lfs/python3-cryptography
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.4.7
+VER        = 36.0.2
 
 THISAPP    = cryptography-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = python3-cryptography
-PAK_VER    = 1
+PAK_VER    = 2
 
 DEPS       = python3-cffi
 
@@ -46,7 +46,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 49bc1e098ed1ba0181059b645f6668cda6332d196eaca55270ebce6e07e5bb6ab6724c5050fde20e89b7025773960d74ec782bb875badbbd5dc9a04db0a536f1
+$(DL_FILE)_BLAKE2 = b34b994e44b1ccd099a56fba4a167d563a29652f86ab0f0000ef78b4093a15cbfb82a9cebecdcaf6bca782a5fdd20f6c7d2206d68a219626a9fe8ae13e9aec5e
 
 install : $(TARGET)
 