diff --git a/config/rootfiles/packages/armv6l/python3-pyfuse3 b/config/rootfiles/packages/armv6l/python3-pyfuse3
new file mode 100644
index 000000000..c8f17804a
--- /dev/null
+++ b/config/rootfiles/packages/armv6l/python3-pyfuse3
@@ -0,0 +1,10 @@
+usr/lib/python3.10/site-packages/_pyfuse3.py
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/zip-safe
+usr/lib/python3.10/site-packages/pyfuse3.cpython-310-arm-linux-gnueabi.so
+usr/lib/python3.10/site-packages/pyfuse3_asyncio.py
diff --git a/config/rootfiles/packages/python3-pyfuse3 b/config/rootfiles/packages/python3-pyfuse3
new file mode 100644
index 000000000..bea8f2e94
--- /dev/null
+++ b/config/rootfiles/packages/python3-pyfuse3
@@ -0,0 +1,10 @@
+usr/lib/python3.10/site-packages/_pyfuse3.py
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/pyfuse3-3.2.1-py3.10.egg-info/zip-safe
+usr/lib/python3.10/site-packages/pyfuse3.cpython-310-xxxMACHINExxx-linux-gnu.so
+usr/lib/python3.10/site-packages/pyfuse3_asyncio.py
diff --git a/lfs/python3-pyfuse3 b/lfs/python3-pyfuse3
new file mode 100644
index 000000000..d9ee163c1
--- /dev/null
+++ b/lfs/python3-pyfuse3
@@ -0,0 +1,87 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 3.2.1
+SUMMARY    = Python3 bindings for libfuse3
+
+THISAPP    = pyfuse3-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-pyfuse3
+PAK_VER    = 1
+
+DEPS       = python3-trio
+
+SERVICES   =
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 16ada8aec47d8049907ef2710e9bfdf7991a8127560e7264e4eb58f7062efde478d2914597333991be4a6ef67a2a83c470560456287c1298b2008454ac831fb0
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build_cython
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)