diff --git a/config/rootfiles/common/mandoc b/config/rootfiles/common/mandoc
new file mode 100644
index 000000000..2e13451e9
--- /dev/null
+++ b/config/rootfiles/common/mandoc
@@ -0,0 +1,27 @@
+#usr/bin/apropos
+#usr/bin/demandoc
+#usr/bin/man
+#usr/bin/mandoc
+#usr/bin/soelim
+#usr/bin/whatis
+#usr/man
+#usr/man/man1
+#usr/man/man1/apropos.1
+#usr/man/man1/demandoc.1
+#usr/man/man1/man.1
+#usr/man/man1/mandoc.1
+#usr/man/man1/soelim.1
+#usr/man/man1/whatis.1
+#usr/man/man5
+#usr/man/man5/man.conf.5
+#usr/man/man5/mandoc.db.5
+#usr/man/man7
+#usr/man/man7/eqn.7
+#usr/man/man7/man.7
+#usr/man/man7/mandoc_char.7
+#usr/man/man7/mdoc.7
+#usr/man/man7/roff.7
+#usr/man/man7/tbl.7
+#usr/man/man8
+#usr/man/man8/makewhatis.8
+#usr/sbin/makewhatis
diff --git a/lfs/mandoc b/lfs/mandoc
new file mode 100644
index 000000000..88cd9a8b8
--- /dev/null
+++ b/lfs/mandoc
@@ -0,0 +1,81 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.14.6
+
+THISAPP    = mandoc-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = e9f6087e9df977901815b1231f68e381502c7392b0ac65a060ce0ef270da3b76540a17931a076b700865a02f9ca1a8ca044a54dbf6318756931c29e6b1deb228
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+	$(UPDATE_AUTOMAKE)
+
+	# Change prefix to /usr from default /usr/local
+	cd $(DIR_APP) && sed -i 's?PREFIX="/usr/local"?PREFIX="/usr"?' configure
+	cd $(DIR_APP) && ./configure
+	cd $(DIR_APP) && make
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index e5cb873b0..9ef2ab96f 100755
--- a/make.sh
+++ b/make.sh
@@ -1307,6 +1307,7 @@ buildipfire() {
   lfsmake2 rust-pem
   lfsmake2 gdb
   lfsmake2 grub
+  lfsmake2 mandoc
   lfsmake2 efivar
   lfsmake2 efibootmgr
   lfsmake2 libtasn1