diff --git a/config/rootfiles/packages/hplip b/config/rootfiles/packages/hplip
index 86b7a4cfc..4c63a2b63 100644
--- a/config/rootfiles/packages/hplip
+++ b/config/rootfiles/packages/hplip
@@ -1,40 +1,40 @@
-#usr/share/doc/hplip-3.22.4
-#usr/share/doc/hplip-3.22.4/COPYING
-#usr/share/doc/hplip-3.22.4/README_LIBJPG
-#usr/share/doc/hplip-3.22.4/commandline.html
-#usr/share/doc/hplip-3.22.4/copying.html
-#usr/share/doc/hplip-3.22.4/copyright
-#usr/share/doc/hplip-3.22.4/devicemanager.html
-#usr/share/doc/hplip-3.22.4/faxtrouble.html
-#usr/share/doc/hplip-3.22.4/gettinghelp.html
-#usr/share/doc/hplip-3.22.4/hpscan.html
-#usr/share/doc/hplip-3.22.4/images
-#usr/share/doc/hplip-3.22.4/images/favicon.ico
-#usr/share/doc/hplip-3.22.4/images/print.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_actions.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_fax.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_print_control.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_print_settings.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_status.png
-#usr/share/doc/hplip-3.22.4/images/toolbox_supplies.png
-#usr/share/doc/hplip-3.22.4/images/xsane.png
-#usr/share/doc/hplip-3.22.4/index.html
-#usr/share/doc/hplip-3.22.4/mainttask.html
-#usr/share/doc/hplip-3.22.4/plugins.html
-#usr/share/doc/hplip-3.22.4/print.html
-#usr/share/doc/hplip-3.22.4/printing.html
-#usr/share/doc/hplip-3.22.4/printoptions.html
-#usr/share/doc/hplip-3.22.4/printtroubleshooting.html
-#usr/share/doc/hplip-3.22.4/scanning.html
-#usr/share/doc/hplip-3.22.4/scantrouble.html
-#usr/share/doc/hplip-3.22.4/sendfax.html
-#usr/share/doc/hplip-3.22.4/setup.html
-#usr/share/doc/hplip-3.22.4/styles
-#usr/share/doc/hplip-3.22.4/styles/css.css
-#usr/share/doc/hplip-3.22.4/systray.html
-#usr/share/doc/hplip-3.22.4/troubleshooting.html
-#usr/share/doc/hplip-3.22.4/uninstalling.html
-#usr/share/doc/hplip-3.22.4/upgrading.html
+#usr/share/doc/hplip-3.22.6
+#usr/share/doc/hplip-3.22.6/COPYING
+#usr/share/doc/hplip-3.22.6/README_LIBJPG
+#usr/share/doc/hplip-3.22.6/commandline.html
+#usr/share/doc/hplip-3.22.6/copying.html
+#usr/share/doc/hplip-3.22.6/copyright
+#usr/share/doc/hplip-3.22.6/devicemanager.html
+#usr/share/doc/hplip-3.22.6/faxtrouble.html
+#usr/share/doc/hplip-3.22.6/gettinghelp.html
+#usr/share/doc/hplip-3.22.6/hpscan.html
+#usr/share/doc/hplip-3.22.6/images
+#usr/share/doc/hplip-3.22.6/images/favicon.ico
+#usr/share/doc/hplip-3.22.6/images/print.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_actions.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_fax.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_print_control.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_print_settings.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_status.png
+#usr/share/doc/hplip-3.22.6/images/toolbox_supplies.png
+#usr/share/doc/hplip-3.22.6/images/xsane.png
+#usr/share/doc/hplip-3.22.6/index.html
+#usr/share/doc/hplip-3.22.6/mainttask.html
+#usr/share/doc/hplip-3.22.6/plugins.html
+#usr/share/doc/hplip-3.22.6/print.html
+#usr/share/doc/hplip-3.22.6/printing.html
+#usr/share/doc/hplip-3.22.6/printoptions.html
+#usr/share/doc/hplip-3.22.6/printtroubleshooting.html
+#usr/share/doc/hplip-3.22.6/scanning.html
+#usr/share/doc/hplip-3.22.6/scantrouble.html
+#usr/share/doc/hplip-3.22.6/sendfax.html
+#usr/share/doc/hplip-3.22.6/setup.html
+#usr/share/doc/hplip-3.22.6/styles
+#usr/share/doc/hplip-3.22.6/styles/css.css
+#usr/share/doc/hplip-3.22.6/systray.html
+#usr/share/doc/hplip-3.22.6/troubleshooting.html
+#usr/share/doc/hplip-3.22.6/uninstalling.html
+#usr/share/doc/hplip-3.22.6/upgrading.html
 #usr/share/hplip
 usr/share/hplip/dat2drv
 usr/share/hplip/locatedriver
@@ -202,6 +202,15 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-color_laserjet_e75245-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_e85055-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_flow_e57540-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e78625-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e78630-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e78635-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e87740-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e87750-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e87760-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_e87770-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_mfp_e786-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_flow_mfp_e877-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_flow_mfp_m680-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_flow_mfp_m880-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_flowmfp_m578-ps.ppd.gz
@@ -232,6 +241,18 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-color_laserjet_mfp_e78223-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_mfp_e78228-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_mfp_e78323-25-30-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e785-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e78523-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e78528-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e786-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e78625-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e78630-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e78635-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e877-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e87740-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e87750-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e87760-ps.ppd.gz
+#usr/share/ppd/HP/hp-color_laserjet_mfp_e87770-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_mfp_m178-m181-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_mfp_m274-ps.ppd.gz
 #usr/share/ppd/HP/hp-color_laserjet_mfp_m278-m281-ps.ppd.gz
@@ -735,7 +756,15 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_e60175-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_e62555-e62575-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_e62655-e62675-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e73130-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e73135-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e73140-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e82650-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e82660-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_e82670-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_flow_mfp_e52645-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_mfp_e731-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_flow_mfp_e826-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_flow_mfp_m525-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_flow_mfp_m528-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_flow_mfp_m630-ps.ppd.gz
@@ -789,8 +818,19 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_mfp_e72425-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e72430-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e72525-25-30-35-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e730-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e73025-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e73030-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e731-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e73130-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e73135-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e73140-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e77822-25-30-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e82540-50-60-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e826-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e82650-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e82660-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_mfp_e82670-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_e87640-50-60-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m129-m134.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_mfp_m139-m142.ppd.gz
@@ -866,6 +906,8 @@ usr/share/ppd/HP
 #usr/share/ppd/HP/hp-laserjet_pro_m501n-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_pro_m701-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_pro_m706-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_pro_mfp_3001-3008-ps.ppd.gz
+#usr/share/ppd/HP/hp-laserjet_pro_mfp_3101-3108-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_pro_mfp_4101-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_pro_mfp_4102-ps.ppd.gz
 #usr/share/ppd/HP/hp-laserjet_pro_mfp_4103-ps.ppd.gz
diff --git a/lfs/hplip b/lfs/hplip
index 8c25f8f4d..02055ad8a 100644
--- a/lfs/hplip
+++ b/lfs/hplip
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY    = HP's Printing, Scanning, and Faxing Software
 
-VER        = 3.22.4
+VER        = 3.22.6
 
 THISAPP    = hplip-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -34,7 +34,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = hplip
-PAK_VER    = 8
+PAK_VER    = 9
 
 DEPS       =
 
@@ -48,7 +48,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 6446cecad6a9dea4685874da4879b604ad5c68842783741e8ee87b5cf957a8cc69269ced0a4fa40077abcc35fd0cd8f0103f90e02f1a1244a28617dfd0cd4036
+$(DL_FILE)_BLAKE2 = 7f2bc09ab2d7950d8e84b4c23d35fd5370ddc51d1d61c674fad0ce1667f8ecf9c25e0b57c155b688d932db583d3c6af528da86348ebe64ce8da9c8d051b2be34
 
 install : $(TARGET)
 